---
title: "operator-sdk generate"
---
## operator-sdk generate

Invokes a specific generator

### Synopsis

The 'operator-sdk generate' command invokes a specific generator to generate
code or manifests.

### Options

```
  -h, --help   help for generate
```

### Options inherited from parent commands

```
      --plugins strings   plugin keys to be used for this subcommand execution
      --verbose           Enable verbose logging
```

### SEE ALSO

* [operator-sdk](../operator-sdk)	 - 
* [operator-sdk generate bundle](../operator-sdk_generate_bundle)	 - Generates bundle data for the operator
* [operator-sdk generate kustomize](../operator-sdk_generate_kustomize)	 - Contains subcommands that generate operator-framework kustomize data for the operator

